Summary:          Library to support IDNA2008 internationalized domain names
Name:             libidn2
Version:          2.3.7
Release:          1%{?dist}
License:          (GPLv2+ or LGPLv3+) and GPLv3+
URL:              https://www.gnu.org/software/libidn/#libidn2
Source0:          https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz

BuildRequires:    gcc make libunistring-devel
Provides:         bundled(gnulib)

%description
Libidn2 is a free software implementation of IDNA2008, Punycode and
Unicode TR46.  Its purpose is to encode and decode internationalized
domain names.
GNU libidn2 is the successor of GNU libidn. This library is backwards (API)
compatible with the libidn library, without any dependency on Libidn.

%package devel
Summary:          Development files for libidn2
Requires:         %{name} = %{version}-%{release} pkgconfig

%description devel
Libraries and header files for libidn2.

%package -n idn2
Summary:          IDNA2008 internationalized domain names conversion tool
License:          GPLv3+
Requires:         %{name} = %{version}-%{release}

%description -n idn2
Idn2 command line tool for testing IDNA2008 conversions.

%prep
%setup -q

%build
%configure --disable-static --disable-gtk-doc
%make_build AUTOMAKE=true

%install
%make_install AUTOMAKE=true
rm -rf %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_datadir}/info/dir
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

%find_lang %{name}

%check
%make_build -C tests check

%files -f %{name}.lang
%license COPYING COPYING.LESSERv3 COPYING.unicode COPYINGv2
%doc AUTHORS NEWS README.md
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*

%files -n idn2
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%changelog
* Wed May 29 2024 Upgrade Robot <upbot@opencloudos.tech> - 2.3.7-1
- Upgrade to version 2.3.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 2.3.4-2
- Rebuilt for libunistring 1.1

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 2.3.4-1
- update to 2.3.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 10 2022 rockerzhu <rockrzhu@tencent.com> - 2.3.2-1
- Initial build
